package com.sa.ibiz.demo.demo.rest;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.domain.LoginLog;
import com.sa.ibiz.demo.demo.service.LoginLogService;
import com.sa.ibiz.demo.demo.service.dto.LoginLogSearchFilter;
import com.sa.ibiz.demo.ibizutil.errors.BadRequestAlertException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import java.math.BigInteger;
import java.util.List;

@RestController
@RequestMapping("/demo/loginlog")
public class LoginLogResource
{
	@Autowired
	private LoginLogService service;


	@PostMapping(value = "/checkKey")
	public ResponseEntity<LoginLog> checkKey(@Validated @RequestBody LoginLog data){
		boolean bRt=service.checkKey(data);
		if(!bRt)
			throw new BadRequestAlertException("帐户使用记录[checkKey]操作发生错误","LoginLog",data.getLoginlogid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/update")
	public ResponseEntity<LoginLog> update(@Validated @RequestBody LoginLog data){
		boolean bRt=service.update(data);
		if(!bRt)
			throw new BadRequestAlertException("帐户使用记录[update]操作发生错误","LoginLog",data.getLoginlogid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/getDraft")
	public ResponseEntity<LoginLog> getDraft(@Validated @RequestBody LoginLog data){
		boolean bRt=service.getDraft(data);
		if(!bRt)
			throw new BadRequestAlertException("帐户使用记录[getDraft]操作发生错误","LoginLog","");
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/create")
	public ResponseEntity<LoginLog> create(@Validated @RequestBody LoginLog data){
		boolean bRt=service.create(data);
		if(!bRt)
			throw new BadRequestAlertException("帐户使用记录[create]操作发生错误","LoginLog",data.getLoginlogid().toString());
		return ResponseEntity.ok().body(data);
	}
	@GetMapping(value = "/{id}")
	public ResponseEntity<LoginLog> get(@Validated @PathVariable String id){
		LoginLog data=new LoginLog();
		data.setLoginlogid(id);;
		data=service.get(data);
		if(data==null)
			throw new BadRequestAlertException("帐户使用记录[get]操作发生错误","LoginLog",id.toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/remove")
	public ResponseEntity<LoginLog> remove(@Validated @RequestBody LoginLog data){
		boolean bRt=service.remove(data);
		if(!bRt)
			throw new BadRequestAlertException("帐户使用记录[remove]操作发生错误","LoginLog",data.getLoginlogid().toString());
		return ResponseEntity.ok().body(data);
	}
    @PostMapping(value="/searchdefault")
	public ResponseEntity<Page<LoginLog>> searchDefaultPage(@Validated @RequestBody LoginLogSearchFilter filter){
		Page<LoginLog> searchResult = service.searchDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}

	@PostMapping(value="/listdefault")
	public ResponseEntity<List<LoginLog>> listDefault(@Validated @RequestBody LoginLogSearchFilter filter){
		List<LoginLog> searchResult = service.listDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}
}
